using System.Text.Json.Serialization;
using System.Collections.Generic;
using Topsdk.Util;

namespace Topsdk.Top.Ability1826.Domain;

public class TaobaoTbkDgVegasTljCreateResult
{

    /*
        model
    */
    private TaobaoTbkDgVegasTljCreateRightsInstanceCreateResult? model;


    /*
        msgCode
    */
    private string? msgCode;


    /*
        msgInfo
    */
    private string? msgInfo;


    /*
        success
    */
    private bool? success;



    [JsonPropertyName("model")]
    public TaobaoTbkDgVegasTljCreateRightsInstanceCreateResult? Model
    {
        get => model;
        set => this.model = value;
    }

    [JsonPropertyName("msg_code")]
    public string? MsgCode
    {
        get => msgCode;
        set => this.msgCode = value;
    }

    [JsonPropertyName("msg_info")]
    public string? MsgInfo
    {
        get => msgInfo;
        set => this.msgInfo = value;
    }

    [JsonPropertyName("success")]
    public bool? Success
    {
        get => success;
        set => this.success = value;
    }

}

